package org.dromara.main.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.main.domain.bo.CsTicketBo;
import org.dromara.main.domain.vo.CsTicketVo;

import java.util.Collection;

public interface ICsTicketService {
    /** 查询详情(含沟通历史) */
    CsTicketVo queryById(String id);
    /** 分页查询列表 */
    TableDataInfo<CsTicketVo> queryPageList(CsTicketBo bo, PageQuery pageQuery);
    /** 处理工单 */
    Boolean handleTicket(CsTicketBo bo);
    /** 批量删除 */
    Boolean deleteByIds(Collection<String> ids);
}
